Subject: [netmod] Citations, reference clause in YANG and RFC References section

From: "Bert (IETF) Wijnen" <[email-masked]>
Date: Tue, 15 Jun 2010 08:46:42 +0200

FYI and comments I am sending a disucssion we had with a few
people as a result of a comment from an IESG memeber.

Bert

> -----Original Message-----
> From: ext Martin Bjorklund [mailto:[email-masked]] 
> Sent: Monday, June 14, 2010 4:03 PM
> To: [email-masked]
> Cc: Ersue, Mehmet (NSN - DE/Munich); [email-masked]; 
> [email-masked]
> Subject: Re: COMMENT: draft-ietf-netconf-monitoring
> 
> [CC:ing Juergen also]
> 
> "Bert (IETF) Wijnen" <[email-masked]> wrote:
> > Inline
> > 
> > Martin Bjorklund wrote:
> > > Hi Lars,
> > >
> > > Lars Eggert <[email-masked]> wrote:
> > >   
> > >> Comment:
> > >> Contains several unused references.
> > >>     
> > >
> > > The other references are referenced from the YANG module, 
> > > like this:
> > >
> > >  identity netconf-tls {
> > >    base transport;
> > >    description
> > >     "NETCONF over Transport Layer Security (TLS).";
> > >    reference
> > >     "RFC 5539: NETCONF over Transport Layer Security (TLS)";
> > >  }
> > >   
> > 
> > We had similar things in MIB modules.
> > We did not want a citation in the REF (in yang reference) 
> > clause. But the RFC-Editor DOES want
> > the citation if a document is listed in the references.
> > The way we solved that for MIB modules is to have some text 
> > just before the MIB module itself,
> > which states something aka:
> > 
> >     In the following MIB module, references are made to 
> >     SMIv2 [RFC2578] and Texttual Convention [RFC2579].
> > 
> > Maybe this approach  would be workable for YANG modules too  ?
> 
> Right, I realized this.  The yang-types document has similar issues;
> it is of course now in the RFC editor queue, so I guess we'll see if
> they will complain...
> 
> A related problem, which might be solved by having a section like the
> one you suggest, is that the YANG module has:
> 
>   import ietf-yang-types { prefix yang; }
> 
> and then a normative reference to the yang-types RFC.  But it is not
> easy to understand that the import actually references the yang-types
> RFC.
> 
> Whatever the solution is, the YANG guidelines document should be
> updated.
> 
> 
> /martin
> > 
> > Bert